package fr.iutfbleau.projetIHM2022FI2.MP.ETU.View;

import javax.swing.JLabel;
import javax.swing.JPanel;

import fr.iutfbleau.projetIHM2022FI2.API.Etudiant;

import javax.swing.JButton;
import java.awt.*;
import java.awt.event.ActionListener;


public class PanelEtudiant extends JPanel{
	
		// bouton déplacement
    private JButton deplacer;
		/**
		 * Constructeur du panel d'affichage d'un étudiant
		 * @param e l'étudiant à afficher
		 * @param concerner si l'étudiant à afficher est l'étudiant logué
		 */
    public PanelEtudiant(Etudiant e, boolean concerner){
        super(new GridLayout(1,2,20,10));
        JLabel label=new JLabel("  "+e.getNom()+" "+e.getPrenom()+" "+e.getId(), JLabel.LEFT);
        label.setFont(new Font(Font.SANS_SERIF, Font.PLAIN, 20));
        
        this.add(label);
        this.deplacer=new JButton("changer de groupe");
        if(concerner==true)
            this.add(this.deplacer);
    }


		/**
		 * Ajoute un listener au bouton de changement de groupe
		 * @param a le listener
		 */
    public void addActionChangeListener(ActionListener a){
        this.deplacer.addActionListener(a);
    }
}
